/*
 * Licensed to meast-summaize under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. IlluSnip licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package ws.meast.summarization.mpsimp;

import ws.meast.summarization.mps.ClassDistance;
/**
 * 
 * @author Yu Gu
 * This class implements a plain strategy of calculation distance/similarity between class.
 */
public class PlainClassDistanceImp implements ClassDistance {

	@Override
	public double getSimilarity(int classid0, int classid1) {
		if(classid0 == classid1)
			return 1;
		else
			return 0;
	}

	@Override
	public double getDistance(int classid0, int classid1) {
		if(classid0 == classid1)
			return 0;
		else
			return 1;
	}

}
