/*
 * Licensed to meast-summarize under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. IlluSnip licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package ws.meast.summarization.verbalize;

/**
 * 
 * @author Yue Liang
 * Paraphrase a code tree as natural language.
 * 
 */
import java.util.List;

public interface AssociationTreeVerbalizer{	
	
	/**
	 * @param dict an Id->Label dictionary.
	 * @param tree canonical code of a tree.
	 * @param center index of an appointed node in the tree. The quality of the paraphrase directly hinge on this.
	 * @return a natural language.
	 */
	public String generateText(final Dict dict,final List<Integer> tree, int center);
}
