/*
 * Licensed to meast-summarize under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. IlluSnip licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package ws.meast.summarization.mps;

import java.util.List;
/**
 * 
 * @author Gu Yu
 * This interface exposes calculation of distance between two Canonical Code.
 */
public interface PatternDistance {
	/**
	 * 
	 * @param queryEntities query_entities' id
	 * @param codesIn1 tree code 1.
	 * @param codesIn2 tree code 2.
	 * @return distance.
	 */
	public double getDistance(List<Integer> queryEntities,List<Integer> codesIn1,List<Integer> codesIn2);
}
