/*
 * Licensed to meast-summarize under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. IlluSnip licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package example;

import java.nio.file.Files;
import java.nio.file.Paths;
import java.io.IOException;
import java.nio.charset.Charset;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import ws.meast.summarization.verbalize.Dict;
/**
 * 
 * @author Yue Liang
 * This class shows an example of how to implement a Id-Lable dictionary.
 * Specifically, an middle result of the meast-search component, i.e. EXAMPLE/OUT_DICT, is exploited.
 */
public class ExampleDictImp implements Dict{
	private Map<Integer, String> code2label = new HashMap<Integer, String>();
	
	public ExampleDictImp() {
		List<String> text = null;
		try {
			text = Files.readAllLines(Paths.get("example/out_dict"), Charset.defaultCharset());
		} catch (IOException e) {
			e.printStackTrace();
		}
		for(String line:text){
			String[] entry = line.split(",");
			code2label.put(Integer.valueOf(entry[0]), entry[1]);
		}
	}

	@Override
	public String getLabel(int code) {
		return code2label.get(code);
	}
}
